import 'package:car_app/model/team.dart';

extension TeamMapConverter on Team {
  static const String teamIdFieldName = "teamId";
  static const String teamNameFieldName = "teamName";

  Map<String, dynamic> toMap() {
    return {
      teamIdFieldName: teamId,
      teamName: teamName,
    };
  }

  static Team<String> fromMap(Map<String, dynamic> map) {
    return Team(
      teamId: map[teamIdFieldName],
      teamName: map[teamNameFieldName],
    );
  }
}
